/**
 * 
 */
package com.amarinkovic.twitter.action;

import twitter4j.TwitterException;

import com.amarinkovic.twitter.service.ITwitterService;

/**
 * Search Twitter Action implementation
 * 
 * @author amarinkovic
 * 
 */
public class SearchAction extends TwitterAction {

	/**
	 * Serial Version ID
	 */
	private static final long serialVersionUID = 7126509281753918580L;

	private String qtext;
	
	public SearchAction() {}

	@Override
	public String execute() {
		try {
			ITwitterService twitterService = getTwitterService();
			tweets = twitterService.query(qtext);
		} catch (TwitterException e) {
			e.printStackTrace();
		}
		return SUCCESS;
	}

	public String getQtext() {
		return qtext;
	}

	public void setQtext(String qtext) {
		this.qtext = qtext;
	}
	
}
