package com.amarinkovic.twitter.model;

import java.io.Serializable;
import java.util.Date;

import twitter4j.User;

/**
 * Domain object for holding Twitter posts.
 * 
 * @author amarinkovic
 */
public class Tweet implements Serializable{
	private static final long serialVersionUID = -1022474605739928101L;
	
	private long id;
	private String text;
	private String source;
	private String fromUser;
	private User user;
	private Date createdAt;
	private String inReplyToScreenName;
	
	public long getId() {
		return id;
	}
	public void setId(long id) {
		this.id = id;
	}
	public String getText() {
		return text;
	}
	public void setText(String text) {
		this.text = text;
	}
	public String getSource() {
		return source;
	}
	public void setSource(String source) {
		this.source = source;
	}
	public String getFromUser() {
		return fromUser;
	}
	public void setFromUser(String fromUser) {
		this.fromUser = fromUser;
	}
	public User getUser() {
		return user;
	}
	public void setUser(User user) {
		this.user = user;
	}
	public Date getCreatedAt() {
		return createdAt;
	}
	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}
	public String getInReplyToScreenName() {
		return inReplyToScreenName;
	}
	public void setInReplyToScreenName(String inReplyToScreenName) {
		this.inReplyToScreenName = inReplyToScreenName;
	}
	
}
