package com.amarinkovic.twitter.service;

import java.util.List;

import twitter4j.TwitterException;

import com.amarinkovic.twitter.model.Tweet;

/**
 * Interface for Twitter.
 * 
 * @author amarinkovic
 */
public interface ITwitterService {
	
	public void updateStatus(String statusMessage) throws TwitterException;
	
	public List<Tweet> query(String qText) throws TwitterException;
	
	public List<Tweet> query(String qText, int count, int page) throws TwitterException;

	public List<Tweet> getFriendsTimeline() throws TwitterException;
	
	public List<Tweet> getFriendsTimeline(int page, int count) throws TwitterException;

}
